tigase.xmpp.impl

## Enum JabberIqPrivacy.ITEM_TYPE

- java.lang.Object
- - java.lang.Enum<JabberIqPrivacy.ITEM_TYPE>
  - - tigase.xmpp.impl.JabberIqPrivacy.ITEM_TYPE

- All Implemented Interfaces:
    Serializable, Comparable<JabberIqPrivacy.ITEM_TYPE>
  Enclosing class:
    JabberIqPrivacy

      protected static enum JabberIqPrivacy.ITEM_TYPE
      extends Enum<JabberIqPrivacy.ITEM_TYPE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `all`
    `group`
    `jid`
    `subscription`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JabberIqPrivacy.ITEM_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JabberIqPrivacy.ITEM_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### jid

          public static final JabberIqPrivacy.ITEM_TYPE jid

    - #### group

          public static final JabberIqPrivacy.ITEM_TYPE group

    - #### subscription

          public static final JabberIqPrivacy.ITEM_TYPE subscription

    - #### all

          public static final JabberIqPrivacy.ITEM_TYPE all

  - ### Method Detail

    - #### values

          public static JabberIqPrivacy.ITEM_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JabberIqPrivacy.ITEM_TYPE c : JabberIqPrivacy.ITEM_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JabberIqPrivacy.ITEM_TYPE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 "Tigase, Inc.". All rights reserved.